package com.isu.gaswellwatch.vo.command.etc;

import com.isu.gaswellwatch.dto.modbus.ModbusCommandDto;
import com.isu.gaswellwatch.vo.command.Command;

import java.io.Serial;
import java.util.Collection;
import java.util.List;

/**
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/27 22:44
 */
public class TurnOff extends Command {

    @Serial
    private static final long serialVersionUID = 5520601184417717931L;

    public TurnOff() {
        this.setCode("ETC.TURN_OFF_THE_WELL");
    }

    @Override
    protected Collection<ModbusCommandDto> builderModbusCommand() {
        // 修改指令, 修改前:01050001FF00, 修改后:010500010000
        return List.of(ModbusCommandDto.builder().command("010500010000").length(16).build());
    }

}
